\documentclass[12pt]{article}
\usepackage{graphics,my,comb}
\usepackage{makeidx}

\graphicspath{{figures/}}

\oddsidemargin 0mm

\renewcommand{\sketch}{Sketch}
\renewcommand{\arule}{Rule}
\renewcommand\contentsname{Contents}
\renewcommand\refname{References}
\renewcommand\tablename{Table}
\usepackage{times}
\makeindex
%\flushbottom

\begin{document}
\title{SM3E course, deflections in planar frames, week 3 exercise}
\author{Petr \v Re\v richa }
%\month{May}
%\year{1997}
%\date{}
\maketitle
%\tableofcontents

\topmargin -15mm
\topmargin -24mm
% the page size required by CVUT Edition center:
\textheight 250mm
\textwidth 160mm
\oddsidemargin 0mm
\footskip 10mm
\pagestyle{plain}
\textfloatsep 0pt
Several examples are solved in this week exercise on deflections
by the principle of virtual forces (PVF), a special case of the
principle of virtul work (PVW). The force method relies on the principle
so that some skill in its use is indispensable. 
The homework of this week should arrive at my mailbox on Mar 2nd at
the latest, see the 'Rules of the SM3E course' on the course web page.
\\
You are welcome to ask questions concerning the stuff any time at my
mailbox 
\\'petr.rericha@fsv.cvut.cz'.\\
The examples complement sections 4.1 - 4.4 of the lecture notes
'deflections in plane frames' (the Notes forthwith)
on the course web page. Together they
should substitute classes of the present 3rd week of the semester.
Unless otherwise stated, the contribution of shear and normal forces
to deflections is neglected throughout this exercise and
the bending stiffness of all cross-sections $EJ=1$.
\\
Table 1 of integration formulas for virtual work evaluation is
reprinted here from the Notes for convenience and to make
the paper reasonably selfcontained.
\begin{table}
\caption{Integration formulas for virtual work evaluation. $ab$ is
a common multiplier in all formulas}
\begin{center}
\insFigUp{defl13.pdf}{0.8\textwidth}
\end{center}
\label{intform}
\end{table}
\index{virtual work}%
\\
Example 1\\
Compute the horizontal deflection $v$ at joint C and relative rotation
 $\Delta$ of the connecting beams at this joint.
\\
\insFigUp{week3-fram1.pdf}{\textwidth}
\\
One actual load case is solved for the bending moment, central sketch,
and two virtual load cases. The virtual load case for determining $v$
coincides with he actual one, the central sketch, the case for $\Delta$
is in the right sketch.
\[ v=\int \kappa \delta M_v \dd x= \int {M\over EJ}\delta M_v \dd x= {1\over 3}(4^2\cdot 3 + 4^2\cdot 4)=
  37.3 \]
\[ \Delta= =\int \kappa \delta M_{\Delta} \dd x=  \int {M\over EJ}\delta M_{\Delta} \dd x=
 {1\over 2}\cdot 4\cdot 1 \cdot 3 + {1\over 3}\cdot 4\cdot 1  \cdot 4=
  11.33 \]
The relative rotation $\Delta$ is in the direction of the virtual moments
of the right sketch, the positive results indicates that the frame
displacement widens the angle of the two beam at C.
\\
Example 2\\
Compute
deflection $v$ and relative rotation $\Delta$ of beams DE and BE at E.
\\
\insFigUp{week3-fram2.pdf}{\textwidth}
\\
Note that parts BE and CF act as links if they are not loaded. An interim
convention is introduced for brevity that forces in them are denoted
$CF$, $BE$. Reactions $B$ and $C$ have just vertical components in those
cases.
The actual load case $M$:
\[ part~EFGC \odot E: CF\cdot 10=0,~~~CF=0,~~~ \]
\[ part~ABDE \odot A: -1\cdot 10 -BE\cdot 10 =0,~~\Rightarrow BE=-1 \]
Reaction components $A_x,~~A_y$ follow then from eqilibrium conditions
of the whole frame. Bending moment diagram is no easy to draw.
\\
Virtual load case $\delta M_v$:
\[ part EFGC \odot E: 1\cdot 20 -CF\cdot 10=0,,~~\Rightarrow CF=2 \]
Positive force (tension) in $CF$ implies $C_y=0$.
\[ whole~frame \rightarrow : A_x=0\]
\[ part ADE \odot E: -A_y \cdot 10=0,~~~A_y=0,~~~ whole~frame \uparrow
  B_y-2+1=0,~~~ B_y=1 \]
Virtual load case $\delta M_{\Delta}$:\\
The two virtual unit couples act at the $E$ ends of beams $EB$ and $EF$.
\[ part EFGC \odot E: CF=0,~~~part CF \odot F: 1 +B_x\cdot 10=0,~~
\Rightarrow B_x=-0.1 \]
\[  whole~frame \rightarrow : A_x+B_x=0,~~ \Rightarrow A_x=0.1 \]
\[part ADE \odot E: -1 +0.1\cdot 10 -A-y\cdot 10=0, ~~\Rightarrow A_y=0\]
Integration of the moment diagrams iyelds:
\[ v=\int \kappa \delta M_v \dd x=\int M/(EJ)\delta M_v \dd x=0 \]
\[ \Delta=\int \kappa \delta M_{\Delta} \dd x= \int M/(EJ)\delta M_{\Delta} \dd x=-{1\over 3}\cdot 10\cdot 1
\cdot 10 -{1\over 2} 10\cdot 1 \cdot 10=-33-50=-83 \]
Example 3\\
A new symbol appears in this example for a uniform load which does not
run along the beam axis. Then the load intensity is specified per unit
projection (in this case horizontal projection) of the beam. The
total substitute horizontal force for the uniform load is here 
$1\cdot 4 =4$.
\insFigUp{week3-fram3.pdf}{\textwidth}
\\
Bending moment diagrams in load cases $M$ and $\delta M_{\alpha}$ do not
have simple shapes included in Table 1. They can be decomposed into
simple shapes as outlined in the right sketch of the above figure.

\[ \alpha= \int M \delta M_{\alpha}\dd x= \int (sh2\cdot sh4+ sh2\cdot sh5
+ sh3\cdot sh4 + sh3 \cdot sh5)\dd x - {1\over 3}4\cdot 0.5\cdot 5= \]
\[(-{1\over 2}\cdot 4\cdot 0.5 -{1\over 6}\cdot 4\cdot 0.5 - {2\over 3}
\cdot 2\cdot 0.5 - {1\over 3}\cdot 2\cdot 0.5)\cdot 5-3.33=-21.66 \]
\[ v= \int (sh2\cdot sh2 + sh3\cdot sh2+ sh2\cdot sh2)\dd x=
({1\over 3}\cdot 4^2+{1\over 3}4\cdot 2 +{1\over 3}4^2)\cdot 5=66.6
   \]
It is sometimes interesting and bolsters the engineering feeling
to draw the deformed shape of the structure. Displacements are then drawn
to other scale than distances to make the picture readable:
\\
\insFigUp{week3-fram3-def.pdf}{0.5\textwidth}
\\
Joints C and B must slide along the lines indicated in the sketch.
Try to argue why.
\\
Example 4:\\
\insFigUp{week3-fram4.pdf}{0.8\textwidth}
\\
There are two links, CD and EF. The frame is best perceived as two
beams (bodies) AE and BF connected with two links (single constraint each).
\[ v= \int (sh1+sh2+sh3)\cdot sh4\dd x- {1\over 4}8\cdot 4\cdot 4=
\]
\[-({1\over 2}8\cdot 4 +{1\over 6}24\cdot 4 
-{1\over 3}2\cdot 4)\cdot 4 -32= -117.33-32=-149.33\]
Homework 3:\\
Compute the indicated displacement components (rotation);\\
\insFigUp{week3-hw.pdf}{0.8\textwidth}
The uniform load in this case is the load per unit length of the beam
so that the substitute force for it is $5\cdot1=5$, vertical down. 
\newpage
HW 3, solution:\\
{\large a:}\\
\insFigUp{week3-hw-sola.pdf}{\textwidth}
\[ u= {1\over 3} 7.5\cdot 4\cdot 4 + {1\over 4} 7.5\cdot 4\cdot 5=76,~~~
v= -u {3\over 4}= -57,~~~\alpha= {1\over 6} 7.5\cdot 1\cdot 4=5 \]
{\large b:}\\
\insFigUp{week3-hw-solb.pdf}{0.8\textwidth}
\\
The virtual load case for $v$ coincides with the actual one and is not
drawn.
Reactions need not be solved for in these two specific cases, 
it is possible
to draw the bending moment diagrams right away, for instance
$M_B=1\cdot(3+1.5)=4.5$ or $\delta M_B=1\cdot 2$, 
ad hoc positive sense pulling at top face.
The actual bending moment diagram has to divided in simple shapes as
shown by the dashed line, then
\[ v = ({1\over 3}\cdot 4.5^2 +{1\over 3}1.5^2+3^2+
2{1\over 2}\cdot 1.5\cdot 3)\cdot 2.5+ {1\over 3}\cdot 3^2\cdot 3=61.5 \]
\[ ({1\over 3}\cdot 4.5\cdot 2+{1\over 2}\cdot 3\cdot 2+
 {1\over 3}\cdot 1.5\cdot 2)\cdot 2.5=17.5 \]


\end{document}
